# -*- coding: utf-8 -*-
# version: python 3.5
import re
import sys
from file_util import *

def get_definition_mdx(word, builder):
    """根据关键字得到MDX词典的解释"""
    content = builder.mdx_lookup(word)

    if len(content) < 1:
        return []

    # 处理 LINK
    pattern = re.compile(r"@@@LINK=([\w\s]*)")
    rst = pattern.match(content[0])
    if rst is not None:
        link = rst.group(1).strip()
        content = builder.mdx_lookup(link)

    str_content = ""
    if len(content) > 0:
        for c in content:
            str_content += c.replace("\r\n","").replace("entry:/","")

    injection = []
    injection_html = ''
    output_html = ''

    file_util_get_files(get_resource_path(), injection)

    for p in injection:
        if file_util_is_ext(p, 'html'):
            injection_html += file_util_read_text(p)

    #return [bytes(str_content, encoding='utf-8')]
    # 通过 html 引入 js 以处理音频播放
    output_html = str_content + injection_html
    return [output_html.encode('utf-8')]


def get_resource_path():
    base_path = os.getcwd()
    resource_path = os.path.join(base_path, 'mdx')
    return resource_path


def get_definition_mdd(word, builder):
    """根据关键字得到MDX词典的媒体"""
    word = word.replace("/","\\")
    content = builder.mdd_lookup(word)
    if len(content) > 0:
        return [content[0]]
    else:
        return []
